/*----------------------------------------------------------
Global
----------------------------------------------------------*/
* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

.page,
.post {
  margin-bottom: 0;
}

/*------------------------------------------------------------
Grid System
------------------------------------------------------------*/
.row,
.flex {
  display: flex;
  flex-wrap: wrap;
  margin: 0 calc(-1 * var(--grid-space)) 0 calc(-1 * var(--grid-space));
}

ul.row {
  list-style: none;
  padding: 0;
}

.row .row {
  margin: 0;
}

.flex {
  margin: 0 auto;
}

/*----------------------------------------
Columns
----------------------------------------*/
.col {
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: auto;
  width: min(100%, 100%);
  padding: var(--grid-space);
}

/*----------------------------------------
Component Columns
----------------------------------------*/
.cols_2 > .col {
  width: calc(100% / 2);
}

.cols_3 > .col {
  width: calc(100% / 3);
}

.cols_4 > .col {
  width: calc(100% / 4);
}

.cols_5 > .col {
  width: calc(100% / 5);
}

.cols_6 > .col {
  width: calc(100% / 6);
}

.cols_7 > .col {
  width: calc(100% / 7);
}

/*----------------------------------------
Divine Proportions
----------------------------------------*/
.cols_m7 > .col_major {
  width: 53.33%;
}

.cols_m7 > .col_minor {
  width: 46.67%;
}

.cols_gr > .col_major {
  width: 61.8%;
}

.cols_gr > .col_minor {
  width: 38.2%;
}

.cols_p5 > .col_major {
  width: 66.67%;
}

.cols_p5 > .col_minor {
  width: 33.33%;
}

.cols_p4 > .col_major {
  width: 75%;
}

.cols_p4 > .col_minor {
  width: 25%;
}

.cols_m3 > .col_major {
  width: 80%;
}

.cols_m3 > .col_minor {
  width: 20%;
}

.cols_m2 > .col_major {
  width: 88.89%;
}

.cols_m2 > .col_minor {
  width: 11.11%;
}

/*----------------------------------------------------------
Wrappers & Containers
----------------------------------------------------------*/
.wrapper {
  width: min(100%, 100%);
  margin: 0;
  padding: var(--space-xxxl) 0;
  overflow: hidden;
  position: relative;
}

.wrapper > section {
  width: min(90%, 1280px);
  margin-inline: auto;
}

.wrapper.short {
  padding-block: var(--space-xxl);
}

.section:not(:last-of-type) {
  margin-bottom: var(--space-xxl);
}

.section.short {
  margin-bottom: var(--space-xl);
}

.subsection:not(:last-of-type) {
  margin-bottom: var(--space-xl);
}

/*----------------------------------------
Headers – Section Header, SubHeaders, Page Title
----------------------------------------*/
.section_header {
  width: min(100%, calc(1280px / 1.618));
  margin: 0 auto var(--space-xl);
  text-align: center;
}

.section_header .title {
  /* font-family: var(--font-secondary); */
  font-size: var(--text-xxl);
}

.section_subheader {
  margin-bottom: var(--space-lg);
}

.section_subheader .title {
  font-weight: 800;
  margin-bottom: var(--space-xxs);
  /* font-family: var(--font-secondary); */
}

/* Section Header – Underline
----------------------------------------*/
:where(.section_subheader, .section_header).underline .title {
  display: flex;
  gap: 1em;
  align-items: baseline;
}

.section_header.underline .title::before,
.section_header.underline .title::after,
.section_subheader.underline .title::after {
  content: "";
  flex-grow: 1;
  height: 2px;
  background-color: var(--color-primary-light);
  opacity: 0.125;
}

.section_header.underline {
  width: 100%;
}

/*  Section Subheader
----------------------------------------*/
.section_subheader:has(.post_count) {
  margin: 0;
}

.section_subheader .post_count {
  font-weight: 600;
  font-size: 1em;
  text-transform: uppercase;
  /* letter-spacing: var(--letter-spacing-loose); */
  color: var(--gray-6);
  margin: 0;
  padding-left: 1em;
}

/*  Page Header
----------------------------------------*/
.page_header {
  margin-block: 0 var(--space-xl);
}

.page_header .title {
  font-size: var(--text-xxl);
}

/*----------------------------------------------------------
Boxes
----------------------------------------------------------*/
.box {
  background-color: #fff;
  box-shadow: var(--box-shadow);
  border-radius: var(--box-border-rad);
  border: 1px solid var(--gray-1);
  padding: var(--space-lg);
  overflow: hidden;
}

.box_transform {
  transition: var(--transition);
}

.box_transform:hover {
  transform: translateY(calc(var(--box-translate) * -1)) scale(var(--box-scale));
  box-shadow: var(--box-shadow-hover);
}

.box_transform:active {
  transform: translateY(0) scale(1);
  box-shadow: var(--box-shadow);
}

.box p:last-of-type {
  margin-bottom: 0;
}

/*----------------------------------------------------------
Colors & Images
----------------------------------------------------------*/
.bg_color_light {
  background-color: var(--color-primary-lightest);
}

.bg_img,
.svg_img {
  background-position: center;
  background-repeat: no-repeat;
}

.bg_img {
  background-size: cover;
}

.svg_img {
  background-size: 100%;
}

.gold_ring {
  background: linear-gradient(50deg, hsl(41, 80%, 25%), hsl(41, 68%, 53%), hsl(41, 95%, 72%), hsl(42, 100%, 99%) 50%, hsl(41, 65%, 45%), hsl(42, 85%, 34%)) border-box;
  border-radius: 50em;
  border: 7px solid var(--transparent);
  box-shadow: 4px 8px 20px hsla(40, 80%, 10%, 0.25);
}

.no_list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.no_link {
  text-decoration: none;
  color: var(--gray-9);
}

.no_link:is(:hover, :active, :visited) {
  color: var(--gray-9);
}

.mask {
  position: relative;
}

.mask::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0.8;
  z-index: 0;
}

/*----------------------------------------------------------
Typography
----------------------------------------------------------*/
body {
  font-family: var(--font-primary);
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: var(--gray-9);
}

h1,
h2,
h3,
h4,
h5 {
  margin: 0 0 var(--space-sm);
  color: var(--color-headings);
  font-weight: 700;
}

h1,
h2 {
  font-weight: 700;
}

h1 {
  font-size: var(--text-xxl);
  line-height: 1.25;
}

h2 {
  font-size: var(--text-xl);
  line-height: 1.35;
}

h3 {
  font-size: var(--text-lg);
  line-height: 1.5;
}

h4 {
  font-size: var(--text-md);
}

h5 {
  font-size: var(--text-body);
}

p {
  font-size: var(--text-body);
  line-height: var(--body-line-height);
  margin: 0 0 1.7em;
}

ul,
ol {
  margin: var(--space-md) 0;
}

.text_white {
  color: #fff;
}

.text_uppercase {
  text-transform: uppercase;
}

.text_bold {
  font-weight: 600;
}

.text_bolder {
  font-weight: 800;
}

.text_center {
  text-align: center;
}

.text_balance {
  text-wrap: balance;
}

.font_secondary {
  font-family: var(--font-secondary);
}

.font_serif {
  font-family: var(--font-serif);
}

.text_overflow {
  width: min(100%, 95%);
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.eyebrow {
  text-transform: uppercase;
  font-size: 0.9em;
  letter-spacing: var(--letter-spacing-loose);
  font-weight: 600;
  color: var(--color-accent);
  margin-bottom: 0;
}

/*----------------------------------------------------------
Buttons
----------------------------------------------------------*/
.btn {
  display: block;
  width: min(100%, 250px);
  margin: var(--space-lg) 0;
  line-height: 3.5;
  height: 3.5em;
  border-radius: 50px;
  border-width: 1px;
  border-style: solid;
  font-size: 1em;
  font-weight: 500;
  text-align: center;
  text-decoration: none;
  transition: var(--transition);
  cursor: pointer;
  overflow: hidden;
}

.btn_primary {
  background-image: linear-gradient(45deg, var(--color-accent), var(--color-accent-dark), var(--color-accent-darker));
  color: #fff;
  border-color: var(--color-accent);
  box-shadow: 3px 6px 9px hsla(322 70% 20% / 0.25);
}

.btn_secondary {
  background-image: linear-gradient(45deg, var(--color-secondary-light), var(--color-secondary));
  color: var(--color-primary-darkest);
  border-color: var(--color-secondary-lighter);
  box-shadow: 3px 6px 9px hsla(43 100% 15% / 0.25);
}

.btn_ghost {
  background-color: #fff;
  border-color: var(--gray-3);
  color: var(--gray-9);
}

.btn_ghost_transparent {
  background-color: var(--transparent);
  color: var(--gray-9);
  border-color: var(--gray-2);
}

.btn_ghost_transparent_white {
  background-color: var(--transparent);
  color: #fff;
  border-color: #fff;
}

.btn svg {
  margin-right: var(--space-xxs);
  opacity: 0.65;
}

/*----------------------------------------
Button Sizes
----------------------------------------*/
.btn:is(.btn_md, .btn_sm) {
  font-size: 0.925em;
}

.btn_md {
  height: 3em;
  line-height: 3;
  max-width: 12em;
}

.btn_sm {
  height: 2.5em;
  line-height: 2.5;
  max-width: var(--space-xxxl);
}

.btn_disabled {
  background-image: none;
  background-color: var(--color-text-subtle);
  opacity: 0.65;
  color: #fff;
  pointer-events: none;
  cursor: not-allowed;
}

.btn_content {
  margin: var(--space-lg) 0;
  font-size: 0.9em;
}

.btn_center {
  margin: var(--space-md) auto;
}

.button {
  padding: 0;
}

/* Button: Hover
------------------------------*/
.btn:hover {
  transform: translateY(calc(-1 * var(--box-hover-move))) scale(var(--box-hover-scale));
}

/* Button: Active
------------------------------*/
.btn:active {
  transform: translateY(calc(var(--box-hover-move))) scale(1);
}

/* Buttons States
------------------------------*/
.btn_primary:is(:hover, :active, :visited, :focus),
.btn_disabled:is(:visited, :focus) {
  color: #fff;
}

.btn_secondary:is(:hover, :active, :visited, :focus) {
  color: var(--gray-9);
}

.btn_ghost:visited {
  color: var(--gray-9);
}

.btn_ghost:is(:hover, :active) {
  background-color: var(--gray-1);
  color: var(--gray-9);
}

.btn_ghost_transparent:is(:hover, :active) {
  background-color: #fff;
  color: var(--gray-9);
}

/* .btn_ghost_transparent_white:is(:hover, :active, :visited){} */

/*----------------------------------------
Dropdown Buttons
----------------------------------------*/
.dropdown_btn {
  width: min(100%, 15em);
  position: relative;
}

.dropdown_btn .toggle {
  display: block;
  width: 100%;
  height: 3.5em;
  line-height: 3.5;
  padding: 0;
  font-size: 1em;
  font-weight: 600;
  border-radius: var(--space-xs);
  border-width: 1px;
  border-style: solid;
  z-index: 2;
  position: relative;
  cursor: pointer;
  transition: var(--transition);
}

/* Dropdown Button – Menu
----------------------------------------*/
.dropdown_btn ul {
  list-style: none;
  padding: 0;
  position: absolute;
  transition: var(--transition);
  top: 0;
  left: 0;
  opacity: 0;
  visibility: 0;
  transform: scaleY(0);
  transform-origin: top;
  background-color: #fff;
  width: 100%;
  border-radius: 0 0 var(--space-xs) var(--space-xs);
  border: 1px solid var(--color-primary-lightest);
  box-shadow: var(--box-shadow);
  overflow: hidden;
}

.dropdown_btn:has(.open) ul {
  top: 2em;
  opacity: 1;
  visibility: visible;
  transform: scaleY(1);
  z-index: 1;
}

.dropdown_btn li {
  cursor: pointer;
  width: 100%;
}

.dropdown_btn li :is(a, button) {
  display: block;
  padding: 0.65em var(--space-md);
  color: var(--color-text);
  text-decoration: none;
  width: 100%;
  margin: 0 auto;
  border-radius: var(--space-xs);
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  cursor: pointer;
  border: none;
  background-color: var(--transparent);
}

.dropdown_btn li :is(a, button):hover {
  background-color: var(--color-primary-lightest);
}

/* Dropdown Button – Has Icon
----------------------------------------*/
.dropdown_btn li a:has(svg, .icon) {
  display: flex;
  align-items: center;
}

.dropdown_btn li :is(svg, .icon) {
  width: 1em;
  aspect-ratio: 1/1;
  margin-right: var(--space-sm);
  opacity: 0.6;
}

/* Dropdown Button – Arrow
----------------------------------------*/
.nav_dropdown .toggle::before,
.nav_dropdown .toggle::after,
.dropdown_btn .toggle::before,
.dropdown_btn .toggle::after {
  content: "";
  position: absolute;
  display: block;
  border-radius: 10px;
  top: 50%;
  transition: var(--transition);
}

.nav_dropdown .toggle::before,
.nav_dropdown .toggle::after {
  background-color: var(--gray-9);
  opacity: 0.5;
  width: 0.12em;
  height: 0.55em;
}

.dropdown_btn .toggle::before,
.dropdown_btn .toggle::after {
  background-color: #fff;
  width: 0.2em;
  height: 0.85em;
}

.nav_dropdown .toggle::before,
.dropdown_btn .toggle::before {
  transform: rotate(45deg) translateY(-50%);
}

.nav_dropdown .toggle::after,
.dropdown_btn .toggle::after {
  transform: rotate(-45deg) translateY(-50%);
}

.nav_dropdown .toggle::before {
  right: 1.1em;
}

.nav_dropdown .toggle::after {
  right: 1em;
}

.dropdown_btn .toggle::before {
  right: 1.625em;
}

.dropdown_btn .toggle::after {
  right: 1.5em;
}

/* dropdown arrow icon when open
----------------------------------------*/
.nav_dropdown:has(.open) .toggle::before {
  right: 1.5em;
}

.nav_dropdown:has(.open) .toggle::after {
  right: 0.84em;
}

.dropdown_btn:has(.open) .toggle::before {
  right: 2.1em;
}

.dropdown_btn:has(.open) .toggle::after {
  right: 1em;
}

/*----------------------------------------
Dropdown Button sizes
----------------------------------------*/
.dropdown_btn.dropdown_btn_md {
  width: min(100%, var(--space-xxxxl));
}

.dropdown_btn.dropdown_btn_md .toggle {
  height: 3em;
  line-height: 3;
  font-size: 0.95em;
}

.dropdown_btn.dropdown_btn_md li a {
  font-size: 0.9em;
}

.dropdown_btn.dropdown_btn_md:has(.open) ul {
  top: 2.65em;
}

/*----------------------------------------
dropdown button colors
----------------------------------------*/
.dropdown_btn_primary .toggle {
  color: #fff;
  background-image: linear-gradient(45deg, var(--color-accent-light), var(--color-accent));
}

.dropdown_btn_primary .toggle:hover,
.dropdown_btn_primary .toggle.open {
  background-image: linear-gradient(45deg, var(--color-accent), var(--color-accent-dark));
}

.dropdown_btn_primary .toggle::before,
.dropdown_btn_primary .toggle::after {
  background-color: #fff;
}

/*--------------------------------------------------
Single
--------------------------------------------------*/

/*--------------------------------------------------
Single – Forms
--------------------------------------------------*/
.single_form .form .box {
  padding: var(--space-xl);
}

.single_form .form_container .title {
  font-size: var(--text-xl);
  margin: 0;
  color: var(--color-primary-dark);
}

/* Single Form – Content
----------------------------------------*/
.single_form .content {
  padding-top: var(--space-xxl);
}

.single_form .content h1 {
  margin-bottom: var(--space-xxs);
  font-size: var(--text-xl);
}

.single_form .content h2 {
  font-size: var(--text-lg);
  margin-bottom: var(--space-xxs);
}

.single_form .content h3 {
  font-size: var(--text-md);
  margin-bottom: var(--space-xxs);
}

.single_form .content h4 {
  font-size: 1em;
}

/* Single Form – WP Forms
----------------------------------------*/

/* hide read-only fields – default customer id */
.single_form .wpforms-container .wpforms-field-readonly {
  display: none;
  visibility: hidden;
}

.single_form .wpforms-container :is(.wpforms-field-email, .wpforms-field-text, .wpforms-field-payment-single, .wpforms-field-payment-single) {
  position: relative;
  padding: 0;
}

.single_form .wpforms-container :is(.wpforms-field-email, .wpforms-field-text) label {
  position: absolute;
  top: 50%;
  left: 0.75em;
  font-size: 1em;
  font-weight: 500;
  margin: 0;
  transform: translateY(-50%);
  color: var(--gray-7);
  padding-inline: 0.5em;
  background-color: #fff;
  transition: top linear 0.125s;
}

.single_form .wpforms-container :is(.wpforms-field-email, .wpforms-field-text) input {
  height: 3.75em;
}

.single_form .wpforms-container :is(.wpforms-field-email, .wpforms-field-text) input::placeholder {
  opacity: 0;
}

/* Move label when focused OR has content */
.single_form .wpforms-container :is(.wpforms-field-email, .wpforms-field-text):has(input:not(:placeholder-shown)) label,
.single_form .wpforms-container :is(.wpforms-field-email, .wpforms-field-text):has(:focus-within) label {
  top: 0;
  font-size: 0.9em;
}

/* Single Form – WP Forms – Submit Button
----------------------------------------*/
.single_form .wpforms-container .btn_form {
  display: block;
  background-color: var(--transparent);
  background-image: linear-gradient(to bottom, var(--color-accent-light) 12%, var(--color-accent));
  border: 1px solid var(--color-accent-light);
  margin: var(--space-md) 0 0;
  width: min(100%, 12em);
  /* width: 100%; */
  border-radius: 100px;
  height: 3.3em;
  line-height: 100%;
  font-weight: 600;
}

.single_form .wpforms-container .btn_form:hover {
  background-image: linear-gradient(to bottom, var(--color-accent-light) 30%, var(--color-accent));
}

/*--------------------------------------------------
Single Form – Donate
--------------------------------------------------*/
.single_form .donate_form {
  --thumb-size: 8em;
}

.single_form .donate_form .fund {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding-left: calc(var(--thumb-size) + 1.75em);
  margin-block: var(--space-lg);
  position: relative;
}

.single_form .donate_form .fund label {
  order: 1;
  font-size: var(--text-md);
  margin-bottom: var(--space-xxs);
}

.single_form .donate_form .fund .wpforms-field-description {
  order: 2;
  color: var(--gray-8);
  font-size: 0.9125em;
  line-height: 1.45;
  margin-block: 0 var(--space-sm);
  text-wrap: balance;
  hyphens: none;
}

.single_form .donate_form .fund input {
  order: 3;
  position: relative;
  width: min(100%, var(--space-xxxxl));
}

/* Single Form – Donate – Thumbnails
--------------------------------------------------*/
.single_form .donate_form .fund::before {
  content: "";
  position: absolute;
  width: min(100%, var(--thumb-size));
  aspect-ratio: 1;
  left: 0;
  border-radius: var(--space-sm);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  box-shadow: var(--box-shadow);
}

.single_form .donate_form .fund_tithe::before {
  background-image: url(/wp-content/themes/phidias_forms/assets/images/thumbnails/thumbnail-causal-body-i-am-presence.jpg);
}

.single_form .donate_form .fund_mf::before {
  background-image: url(/wp-content/themes/phidias_forms/assets/images/thumbnails/thumbnail-saint-germain-jesus.jpg);
}

/* Single Form – Donate – Anonymous
--------------------------------------------------*/
.single_form .donate_form .toggle_anonymous .choice-1 {
  width: fit-content;
  padding: var(--space-xxs);
  border-radius: var(--space-xxxs);
}

.single_form .donate_form .toggle_anonymous .choice-1:hover {
  background-color: var(--gray-2);
}

.single_form .donate_form .toggle_anonymous .choice-1:has(input:checked) {
  background-color: var(--color-secondary-lightest);
}

/* .single_form .donate_form .toggle_anonymous label {
  display: flex;
  gap: var(--space-xxs);
}

.single_form .donate_form .toggle_anonymous label::before {
  content: "";
  display: inline-block;
  width: 1em;
  aspect-ratio: 1;
  background-image: url(/wp-content/themes/phidias_forms/assets/images/icons/user-secret-duotone-light-full.svg);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: center;
  opacity: 0.65;
} */

/*----------------------------------------------------------
Responsive Styles
----------------------------------------------------------*/
@media only screen and (max-width: 1200px) {
}

/* #1200px */

@media only screen and (max-width: 1024px) {
}

/* #1024px */

@media only screen and (max-width: 768px) {
}

@media only screen and (max-width: 600px) {
  body {
    font-size: 91%;
  }
}

/* #600px */

@media only screen and (max-width: 480px) {
  body {
    font-size: 88%;
  }
}

/* #480px */

@media only screen and (max-width: 400px) {
  /*----------------------------------------
  Section Headers
  ----------------------------------------*/
  .section_header .title {
    font-size: var(--text-xl);
  }

  .section_subheader .title {
    font-size: var(--text-lg);
  }

  /* #400px */
}
